Bug 185659 - amanda 2.5.0
amanda 2.5.0
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-03-16 14:05 EST by Orion Poplawski
Modified: 2014-08-31 19:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-09 15:18:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
amanda 2.5.0 spec file (21.73 KB, text/plain)
2006-03-16 14:05 EST, Orion Poplawski
no flags Details
Updated amanda spec (21.71 KB, text/plain)
2006-03-27 13:06 EST, Orion Poplawski
no flags Details
Patch to fix amcheck behavior when no good tape is found in the changer. (626 bytes, patch)
2006-05-16 14:10 EDT, Jason Tibbitts
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2006-03-16 14:05:11 EST
Jay -

  Don't know if you are tracking amanda 2.5.0, but I thought I'd post my spec
for the latest snapshot in case it is useful.   I haven't done much testing yet,
but it basically builds and runs.
  The krb stuff doesn't compile on FC5 because of amanda's use of depecrated
interfaces.  I reported upstream, but I don't know anything about kerberos to
port the calls forward.
Comment 1 Orion Poplawski 2006-03-16 14:05:12 EST
Created attachment 126242 [details]
amanda 2.5.0 spec file
Comment 2 Jay Fenlason 2006-03-16 14:12:03 EST
I'm planning on building it into dist-fc6 shortly after the official 2.5.0 
tarball is released.  That should be Real Soon Now.  I haven't decided about 
backporting it to FC5 or FC4.  I'll have to experiment and see how backward 
compatable it is. 
Comment 3 Orion Poplawski 2006-03-27 13:06:42 EST
Created attachment 126838 [details]
Updated amanda spec

The final 2.5.0 release, just in case it's useful.  Fixes some permissions and
sub-package locations.

What I still don't understand is why almost all of the files are installed with
amandauser/amandagroup ownership.  A straight amanada 2.5.0 doesn't do this,
don't know if 2.4.5 used to.  Certainly some files probably need to be, but not
Comment 4 Orion Poplawski 2006-04-12 10:56:54 EDT
I'll be testing your amanda-2.5.0-2 package on FC5 shortly.  Just an FYI, I
dropped the following:

> libtoolize --copy --force
> aclocal
> automake
> autoconf

without any apparent difficulty from the spec I was previously using.

Also, /usr/bin/Mail should be left as a BuildRequires as well (fails to build in
mock).  Alternatively, you can set:

export MAILER=/usr/bin/Mail  (or mail)

before running configure.
Comment 5 Orion Poplawski 2006-04-12 11:40:08 EDT
In case it's useful.

--- amanda.spec 10 Apr 2006 19:52:13 -0000      1.29
+++ amanda.spec 12 Apr 2006 15:20:47 -0000
@@ -29,7 +29,7 @@
 Prereq: fileutils grep initscripts
 BuildRequires: dump gnuplot cups samba-client tar grep fileutils
 BuildRequires: libtool automake autoconf gcc-c++ readline-devel
-Requires: tar /usr/bin/Mail
+Requires: tar /bin/mail
 BuildRoot: %{_tmppath}/%{name}-%{version}-root

@@ -85,15 +85,11 @@
 %patch0 -p1 -b .bug18322
 %patch1 -p1 -b .pie
 %patch2 -p1 -b .overflow
-libtoolize --copy --force

 export SED=sed
+export MAILER=/bin/mail
 %configure --enable-shared \
        --disable-static \
        --disable-dependency-tracking \
Comment 6 Orion Poplawski 2006-05-16 13:16:12 EDT
Looks like 2.5.0p2 is out with an important bug fix.  It also has the overflow
patch applied.  The above patch continues to work for me too, although you
should also be able to drop the BR on libtool, automake, and autoconf.
Comment 7 Jason Tibbitts 2006-05-16 13:53:02 EDT
There's another important (for me at least) patch that needs to be added to even
2.5.0p2, which I'll attach.  Without the patch, amcheck will go through a
changer, not find an acceptable tape for the next run, and fail to complain
about it.
Comment 8 Jason Tibbitts 2006-05-16 14:10:58 EDT
Created attachment 129251 [details]
Patch to fix amcheck behavior when no good tape is found in the changer.

Note You need to log in before you can comment on or make changes to this bug.